Return Address

Contents


How to get my access token?

To generate your access token, follow the steps shown in how to get my access token

Request Format

The request should have the following format:

GET https://api.mercadolibre.com/shipments/{shipment_id}/seller/return_address  

--header 'Authorization: Bearer {accessToken}'

Response Format

An body with the seller's return address information is expected.

Status Codes

StatusHTTP CodeDescription
SUCCESS200Returns a response with the address information.
FAILED4XXIt is expected to return "error" along with the "message" that describes the reason for the error.
ERROR500Any server error


Examples

Request:

GET https://api.mercadolibre.com/shipments/123456789/seller/return_address 

--header 'Authorization: Bearer xxxxxxxxx'

Response:

Successful (200 OK)

{
    "address_line": "广东省中山市三角镇金三大道西1号金利达宝大仓",
    "zip_code": "12345",
    "phone": "132457680",
    "additional_info": null,
    "city": {
        "id": "Q04tR0RaaG9uZ3NoYW4",
        "name": "Zhongshan"
    },
    "state": {
        "id": "CN-GD",
        "name": "Guangdong"
    },
    "country": {
        "id": "CN",
        "name": "China"
    }
}

Failed (Error HTTP 4XX)

{
	"error": "shipment_not_found",
	"message": "Shipment not found",
	"status": 404
}
{
	"error": "dispatch_info_not_found",
	"message": "Dispatch info not found",
	"status": 404
}
{
	"error": "shipment_bad_request",
	"message": "the address is not available for shipping provided",
	"status": 400
}

Error (Error HTTP 5XX)

{
    "error": "internal_error",
    "message": "Internal Server Error",
    "status": 500  
}